---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  creationTimestamp: "2025-10-27T11:31:19Z"
  managedFields:
  - apiVersion: rbac.authorization.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:rules: {}
    manager: cluster-olm-operator
    operation: Update
    time: "2025-10-27T11:31:19Z"
  name: operator-controller-manager-role
  namespace: openshift-operator-controller
  resourceVersion: "7622"
  uid: 04ddf5db-40ec-483e-886e-5be4f57fc059
rules:
- apiGroups:
  - ""
  resources:
  - secrets
  verbs:
  - create
  - delete
  - deletecollection
  - get
  - list
  - patch
  - update
  - watch
